# eslint-js

# 简介

用于校验js和html中的js代码

备注：HBuilderX 2.6.8+起，支持eslint实时校验、自动修复。具体教程见：[https://ask.dcloud.net.cn/article/37070](https://ask.dcloud.net.cn/article/37070)

## eslint-js配置文件

eslint-js的配置文件为.eslintrc.js。
点击菜单工具 -> 插件配置 -> eslint-js -> .eslintrc.js，即可打开.eslintrc.js文件。

选项对应说明如下：

```
  module.exports = {
      "plugins": [],          //插件
      "env": {
          "browser": true,
          "node": true
      },
      "parser": "esprima",    //指定解析器
      "parserOptions": {},    
      "rules": {}             //规则
  };
```
  
  更多配置说明可以参考[options](https://cn.eslint.org/docs/user-guide/configuring)

## 如何增加规则？

### 规则简介

  [官方规则列表](https://cn.eslint.org/docs/rules/)
  
  规则设置：
  - "off" 或 0 - 关闭规则
  - "warn" 或 1 - 开启规则，使用警告级别的错误：warn (不会导致程序退出)
  - "error" 或 2 - 开启规则，使用错误级别的错误：error (当被触发的时候，程序会退出)

### HBuilderX增加js校验规则

  修改.eslintrc.js文件，添加规则，比如: 

```json

  module.exports = {
      "plugins": [
          "html"
      ],
      "parser": "esprima",
      "parserOptions": {
          "ecmaVersion": 2018,
          "sourceType": "module",
          "ecmaFeatures": {
              "jsx": true
          },
          "allowImportExportEverywhere": false
      },
      "rules": {
          "camelcase": 2,           //强制驼峰法命名,
          "indent": [2, 4],         //缩进风格
          "id-match": 0,            //命名检测
          "init-declarations": 1,   //声明时必须赋初值
          "no-undef": 1,            //不能有未定义的变量
      }
  };

```